Bug 283731 - Default installation of Fedora 7 x86_64 - rpmbuild does not build any debuginfo packages
Default installation of Fedora 7 x86_64 - rpmbuild does not build any debugin...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-08 16:25 EDT by Brian Morrison
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 01:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Morrison 2007-09-08 16:25:48 EDT
Description of problem:

A default installation of F7 fails to build any debuginfo packages with spec
files from .src rpms or from spec files created by other people.

Have looked for binary stripping in the make sections, and have checked that -g
flag is being passed in RPM_OPT_FLAGS, it is, can see this on the compiler
command lines during the build process.

Unable to find any evidence of find-debuginfo.sh being run, brp-strip runs at
the end of the build process but I would expect that.

rpm packages are all updated to the latest updates versions, am using Mike
Harris' recipe for building as non-root but standard rpm macros are present as
expected.


Version-Release number of selected component (if applicable):

[bdm@peterson rpmbuild-nonroot]$ rpm -qa | grep rpm
rpm-libs-4.4.2.1-1.fc7.i386
rpm-devel-4.4.2.1-1.fc7.i386
rpmdevtools-6.1-0.1.fc7.noarch
rpm-libs-4.4.2.1-1.fc7.x86_64
rpm-devel-4.4.2.1-1.fc7.x86_64
rpm-4.4.2.1-1.fc7.x86_64
redhat-rpm-config-8.0.45-15.fc7.noarch
rpm-python-4.4.2.1-1.fc7.x86_64
rpm-build-4.4.2.1-1.fc7.x86_64
rpmlint-0.81-1.fc7.noarch



How reproducible:

Not one debuginfo rpm builds!

Steps to Reproduce:
1. Install any .src rpm or source/spec file combo
2. run rpmbuild -bb <spec file> or rpmbuild --rebuild <src rpm>
3. wonder where debuginfo rpms are
  
Actual results:

No debuginfo rpms

Expected results:

debuginfo rpms by the dozen!

Additional info:
Comment 1 Panu Matilainen 2007-09-10 01:05:10 EDT
Mike Harris' recipe is anything but "default configuration", for one it disables
the vendor configuration (redhat-rpm-config) etc. 

1) do not use the ~/.rpmrc from the recipe
2) check that you don't have "define debug_package %nil" somewhere in your
~/.rpmmacros
Comment 2 Brian Morrison 2007-09-10 03:50:47 EDT
Thanks for the information panu, I didn't see any warnings in Mike's readme file
about this and a fair bit of the rpm configuration seems to not be well explained.

I have deleted ~/.rpmrc and now I can build the debuginfo packages.

I wonder if someone who knows what they are writing about might add something to
the Fedora wiki warning about this?
Comment 3 Brian Morrison 2007-09-10 03:56:08 EDT
Whoops! I meant to write Panu in the last comment.

Sorry!

Note You need to log in before you can comment on or make changes to this bug.